
enum ApprovalStatus {
  APPROVED
}

enum VendorTier {
  PREFERRED
  APPROVED
  STANDARD
}



type Vendor @table(name: "vendors") {
  id: UUID! @default(expr: "uuidV4()")
  userId: String!
  companyName: String!
  email: String
  phone: String
  photoUrl: String
  
  address: String
  placeId: String
  latitude: Float
  longitude: Float
  city: String
  state: String
  street: String
  country: String
  zipCode: String

  billingAddress: String
  timezone: String @default(expr: "'UTC'")
  legalName: String
  doingBusinessAs: String
  region: String
  #state: String
  #city: String
  serviceSpecialty: String
  approvalStatus: ApprovalStatus
  isActive: Boolean
  markup: Float
  fee: Float
  csat: Float
  tier: VendorTier
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
